@echo off
if exist temp_ts.ts2 goto :error
if exist temp_ts.bcs goto :error

setlocal

set date2=%date: =0%
set time2=%time: =0%
set namedate=%date2:~-10,4%%date2:~-5,2%%date2:~-2,2%_%time2:~0,2%%time2:~3,2%

cap_sts.exe temp_ts.ts2 %2 %3 %4 %5 %6 %7 %8 %9
B25 temp_ts.ts2 "%~n1_%namedate%.ts"
del temp_ts.*
endlocal
exit

:error
echo テンポラリファイルが存在します。
echo フォルダを確認してください。
pause